SystemOrganization addCategory: #GLASS!

Object subclass: #Curso
	instanceVariableNames: 'entrada codigo semestre anio nombre creditos prerrequisitos hTeoria hPractica'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GLASS'!

!Curso class methodsFor: 'as yet unclassified' stamp: 'lizzy28 11/16/2012 02:46'!
cod: codigo entrada: aString
	"comment stating purpose of message"

	| ango sem nom credit hteo hpra pre pArra xArr|
	
	pre:= OrderedCollection new.
	pArra := aString  subStrings:',' .
	1 to: (pArra size ) do:[:i |
		xArr := (pArra at: i) subStrings: ':'.
		((xArr at:1) = 'ao') ifTrue: [ango := (xArr at:2)] .
		((xArr at:1) = ' semestre') ifTrue: [sem  := (xArr at:2)] .
		((xArr at:1) = ' nombredelaasignatura') ifTrue: [nom  := (xArr at:2)] .
		((xArr at:1) = ' cred') ifTrue: [credit := (xArr at:2)] .
		((xArr at:1) = ' hrs.teor') ifTrue: [hteo := (xArr at:2)] .
		((xArr at:1) = ' hrs.prac') ifTrue: [hpra := (xArr at:2)] .
		((xArr at:1) = ' prq.1') ifTrue: [pre add:(xArr at:2)] .
		((xArr at:1) = ' prq.2') ifTrue: [pre add:(xArr at:2)] .
		((xArr at:1) = ' prq.3') ifTrue: [pre add:(xArr at:2)] .
		((xArr at:1) = ' prq.4') ifTrue: [pre add:(xArr at:2)] .
	].

	^self new codigo: codigo; anio:ango; semestre: sem; nombre: nom;creditos: credit; hTeoria: hteo; hPractica: hpra ;prerrequisitos: pre;yourself ! !

!Curso methodsFor: 'adding' stamp: 'lizzy28 11/16/2012 01:54'!
addPrerrequisito: aString 
	"comment stating purpose of message"

	prerrequisitos addLast: aString! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:58'!
anio 
	"comment stating purpose of message"

	^anio! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:48'!
anio: an
	"comment stating purpose of message"

	anio := an! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:57'!
codigo
	"comment stating purpose of message"

	^codigo! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:47'!
codigo: cod
	"comment stating purpose of message"

	codigo:=cod
	! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:59'!
creditos
	"comment stating purpose of message"

	^creditos! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:51'!
creditos: cred
	"comment stating purpose of message"

	creditos := cred! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/15/2012 22:12'!
entrada: aString
	"comment stating purpose of message"

	| temporary variable names |
	! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:59'!
hPractica
		^hPractica ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:50'!
hPractica: horas
	"comment stating purpose of message"

	hPractica := horas! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:59'!
hTeoria 
	"comment stating purpose of message"

	^hTeoria ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:49'!
hTeoria: horas
	"comment stating purpose of message"

	hTeoria := horas! !

!Curso methodsFor: 'as yet unclassified' stamp: 'lizzy28 11/16/2012 02:37'!
mostrarInfo
	"comment stating purpose of message"

	| info |
	info := 'Codigo: ',codigo,'
	Nombre: ',nombre ,'
	Ao: ',anio ,'
	Semestre: ',semestre ,'
	Creditos: ',creditos.
	^info ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 02:10'!
nombre 
	"comment stating purpose of message"

	^nombre ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 02:09'!
nombre: nom
	"comment stating purpose of message"

	nombre := nom ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 02:00'!
prerrequisitos 
	"comment stating purpose of message"

	^prerrequisitos ! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:52'!
prerrequisitos: aColleccion
	"comment stating purpose of message"

	prerrequisitos := aColleccion! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:58'!
semestre
	"comment stating purpose of message"

	^semestre! !

!Curso methodsFor: 'accessing' stamp: 'lizzy28 11/16/2012 01:48'!
semestre: semes
	"comment stating purpose of message"

	semestre := semes! !

Object subclass: #Lectura
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GLASS'!

!Lectura methodsFor: 'as yet unclassified' stamp: 'lizzy28 11/16/2012 00:32'!
lectura
	"obetenemos lso datos de la url, lo volvermos a objetos de smalltalk mediante NeoJSONReader , obtenemos la data importante
	minDic  keysAndValuesDo: [:k :v | Transcript show: k ; cr]. ]."

	|url mimedoc neo dic feed entry arrayCursito|
	url:=Url  absoluteFromText:'http://spreadsheets.google.com/feeds/list/0AucKgBlcxhnfdGRMSndfVDhDYURoTkhRNnhHMG9HUVE/od6/public/basic?alt=json'.
	mimedoc := url retrieveContents.
	dic:= Dictionary new.
	dic:=NeoJSONReader fromString: (mimedoc contents).
	
	feed:=  dic at: 'feed'.
	entry := feed at:'entry'.
	
	arrayCursito  := OrderedCollection new.
	entry do:[:i |
		  	  |cursito  cod resto|
			  i  keysAndValuesDo: [:k :v |
				"guardamos codigo"
				(k='title') ifTrue: [
					v keysAndValuesDo:[ :k1 :v1 | 
						(k1 = '$t') ifTrue: [ cod := v1].
						]].
			      "guardamos el resto"
				(k='content') ifTrue: [
					v keysAndValuesDo:[ :k1 :v1 | 
						(k1 = '$t') ifTrue: [ resto := v1].
						]].
			     cursito:=Curso cod:cod entrada:resto.
			].
			 arrayCursito add: cursito .
			 ].
		^arrayCursito ! !

!Lectura methodsFor: 'as yet unclassified' stamp: 'lizzy28 11/16/2012 02:25'!
lectura: una
	"obetenemos lso datos de la url, lo volvermos a objetos de smalltalk mediante NeoJSONReader , obtenemos la data importante
	minDic  keysAndValuesDo: [:k :v | Transcript show: k ; cr]. ]."
	"url = 'http://spreadsheets.google.com/feeds/list/0AucKgBlcxhnfdGRMSndfVDhDYURoTkhRNnhHMG9HUVE/od6/public/basic?alt=json' "
	
	|url mimedoc neo dic feed entry arrayCursito|
	url:=Url  absoluteFromText: una.
	mimedoc := url retrieveContents.
	dic:= Dictionary new.
	dic:=NeoJSONReader fromString: (mimedoc contents).
	
	feed:=  dic at: 'feed'.
	entry := feed at:'entry'.
	
	arrayCursito  := OrderedCollection new.
	entry do:[:i |
		  	  |cursito  cod resto|
			  i  keysAndValuesDo: [:k :v |
				"guardamos codigo"
				(k='title') ifTrue: [
					v keysAndValuesDo:[ :k1 :v1 | 
						(k1 = '$t') ifTrue: [ cod := v1].
						]].
			      "guardamos el resto"
				(k='content') ifTrue: [
					v keysAndValuesDo:[ :k1 :v1 | 
						(k1 = '$t') ifTrue: [ resto := v1].
						]].
			     cursito:=Curso cod:cod entrada:resto.
			].
			 arrayCursito add: cursito .
			 ].
		^arrayCursito ! !
